package com.antai.sport.http.server.mobile.api.business.sport.user.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("用户信息")
public class RespUserInfo {
    @ApiModelProperty("用户Id")
    private Long userId;

    @ApiModelProperty("用户姓名")
    private String name;

    @ApiModelProperty("头像")
    private String avatar;

    @ApiModelProperty("ftp")
    private Integer ftp;

    @ApiModelProperty("体重")
    private BigDecimal weight;

    @ApiModelProperty("功体比")
    private BigDecimal wkg;

    @ApiModelProperty("省名称")
    private String provinceName;

    @ApiModelProperty("市名称")
    private String cityName;
}
