package com.antai.sport.http.server.server.api.business.club.mapper;

import org.apache.ibatis.annotations.Param;

public interface ClubBusinessMapper {

    /**
     * 检测俱乐部名称是否重复
     * @param id
     * @param name
     * @return
     */
    Boolean checkClubNameRepeat(@Param("id") Long id, @Param("name") String name);

    /**
     * 验证当前玩家是否已经是俱乐部会长
     * @param playerId
     * @return
     */
    Boolean checkChairman(@Param("playerId")Long playerId);

}
